
Figure - Bug #117155
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【亮度调节】打开中控自动亮度开关后，副屏没有同步首次执行的自动亮度调节值
2023-03-24 16:49 - CD Test赵飞

Status: CLOSED Start date: 2023-03-24

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202303240240

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 中控未发送亮度同步数据给副屏,需要中控解决

Description

【前提条件】

1、副屏与中控已连接

2、副屏自动亮度开关为打开状态，亮度调节条上的亮度值为任意值

3、中控自动亮度开关为关闭状态

【测试步骤】

1、中控打开自动亮度开关

2、中控侧执行以下命令模拟自动亮度：

 adb root  

adb shell  

ssh 223.255.255.1 

dbus-send --bus=tcp:host=223.255.255.1,port=55666 --type=signal / ipcl.out.to.droid.SWC2VHAL_COMM array:byte:6,199,1

【预期结果】

2、命令执行后，中控和副屏亮度同步发生变化

【实际结果】

2、命令执行后，中控亮度发生变化，副屏没反应

【备注】

需要再次执行一次模拟自动亮度命令，副屏才会发生变化

History

#1 - 2023-03-27 14:39 - CD FW-程天颖

- Status changed from New to ASSIGNED

- Root cause set to 中控未发送亮度同步数据给副屏,需要中控解决

#2 - 2023-03-27 19:12 - CD TPM-王祥林

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-程天颖 to CDTS_TEST 王成
王成

抓一下中控的日志给客户，让他们建个票给中控吧

#3 - 2023-04-04 18:02 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to CD Test赵飞

跟进下BUG，待中控解决问题后验证

#4 - 2023-04-12 11:01 - CD FW 曹覃刚

- Category changed from CD-FW to 依赖客户及其供应商解决

#5 - 2023-04-25 13:53 - CDTS-TEST 周婷

- Assignee changed from CD Test赵飞 to CDTS_TEST 王成

#6 - 2023-05-17 11:13 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to 物联网测试组_TSCD 王维

用0080版本验证下

#7 - 2023-05-17 11:29 - 物联网测试组_TSCD 王维

- Status changed from NEED_INFO to RESOLVED

80版本验证通过，按以下步骤执行可实现亮度同步：

1. adb root  

2. adb shell  

3. ssh 223.255.255.1 

4. dbus-send --bus=tcp:host=223.255.255.1,port=55666 --type=signal / ipcl.out.to.droid.SWC2VHAL_COMM array:byte:6,199,1

5. dbus-send --bus=tcp:host=223.255.255.1,port=55666 --type=signal / ipcl.out.to.droid.SWC2VHAL_COMM array:byte:6,199,1,134,160

#8 - 2023-05-17 11:29 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#9 - 2023-05-17 11:30 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files

logcat.txt 6.68 MB 2023-03-24 CD Test赵飞
